> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionelectricity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instant



## OpenAPI

````yaml /openapi-v2.json get /instant/{id}
openapi: 3.0.1
info:
  title: iON Intelligent Electricity API v2
  version: 1.0.0
  description: Generated by SOFA
  contact:
    name: iON Support
    email: support@ionelectricity.com
servers:
  - url: https://api.ionelectricity.com/v2
    description: Production Server
security: []
paths:
  /instant/{id}:
    get:
      tags:
        - Instant Data
      operationId: getInstantDataModel_query
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantDataModel'
components:
  schemas:
    InstantDataModel:
      type: object
      required:
        - id
        - createdAt
        - updatedAt
        - _version
        - _lastChangedAt
      properties:
        id:
          type: string
        latestRecordDate:
          type: object
        latestRecords:
          type: object
        latestRecordsExport:
          type: object
        powerPhase1:
          type: number
          format: float
        powerPhase2:
          type: number
          format: float
        powerPhase3:
          type: number
          format: float
        currentPhase1:
          type: number
          format: float
        currentPhase2:
          type: number
          format: float
        currentPhase3:
          type: number
          format: float
        voltagePhase1:
          type: number
          format: float
        voltagePhase2:
          type: number
          format: float
        voltagePhase3:
          type: number
          format: float
        peakPower:
          type: number
          format: float
        peakCurrent:
          type: number
          format: float
        peakVoltage:
          type: number
          format: float
        hasPowerCut:
          type: boolean
        activeCyclePeriod:
          type: integer
          format: int32
        predictedPowerCutTime:
          type: object
        version:
          type: integer
          format: int32
        createdAt:
          type: object
        updatedAt:
          type: object
        _version:
          type: integer
          format: int32
        _deleted:
          type: boolean
        _lastChangedAt:
          type: object

````